package com.adealink.weparty.im.list.adapter.data

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData
import com.tencent.qcloud.tuikit.tuiconversation.bean.ConversationInfo

sealed class SessionListItemData() : BaseListItemData

data class OfficialSessionListItem(
    val data: ConversationInfo
) : SessionListItemData()

data class CommonSessionListItemData(
    val data: ConversationInfo
) : SessionListItemData() {

    override fun areContentsTheSame(newItem: Any): Boolean {
        val other = (newItem as? CommonSessionListItemData) ?: return false
        return data.conversationId == other.data.conversationId
    }
}